Bug 182042 - HAL assigns different device ownership according to fs type
Summary: HAL assigns different device ownership according to fs type
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-19 18:42 UTC by William Shotts
Modified: 2013-03-13 04:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-20 15:41:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Shotts 2006-02-19 18:42:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.1) Gecko/20060210 Fedora/1.5.0.1-3 Firefox/1.5.0.1

Description of problem:
If a USB device is attached at boot time, it is given different ownership according to file system type.  In particular if a vfat device is attached, then ownership is given to the console user.  On the other hand, if the device is formatted with ext3 then root owns the device after boot up.

Version-Release number of selected component (if applicable):
hal-0.5.7-0.cvs20060213.1

How reproducible:
Always

Steps to Reproduce:
1. Attatch a vfat formated USB device and a ext3 formatted USB device
2. Reboot
3. Login in as a normal user
  

Actual Results:  The vfat device is owned by the user and can be unmounted by the user while the ext3 device is woned by root and cannot be controlled by the user.

Expected Results:  Both devices are owned by the console user.

Additional info:

My opinion would be that the system should not mount any device at boot time unless the device is defined in /etc/fstab.  Removable devices should be optionally mounted by the desktop environmnet when a user logs in.  This seems like a security concern.

Comment 1 Ignacio Vazquez-Abrams 2006-02-20 04:22:55 UTC
ext2/3 follows *nix ownership conventions. There is no way to force a specific
owner for the device. As for who can mount/unmount it, that would indeed be
something that hal can handle.


Note You need to log in before you can comment on or make changes to this bug.